| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
PDSS_Nondimensional Class Reference

Base class for PDSS classes which compute nondimensional properties directly. More...

`#include <PDSS.h>`

Inheritance diagram for PDSS_Nondimensional:
[legend]

## Detailed Description

Base class for PDSS classes which compute nondimensional properties directly.

Definition at line 486 of file PDSS.h.

## Public Member Functions
double | enthalpy_mole () const override
| Return the molar enthalpy in units of J kmol-1.
double | entropy_mole () const override
| Return the molar entropy in units of J kmol-1 K-1.
double | gibbs_mole () const override
| Return the molar Gibbs free energy in units of J kmol-1.
double | cp_mole () const override
| Return the molar const pressure heat capacity in units of J kmol-1 K-1.
double | enthalpy_RT_ref () const override
| Return the molar enthalpy divided by RT at reference pressure.
double | entropy_R_ref () const override
| Return the molar entropy divided by R at reference pressure.
double | gibbs_RT_ref () const override
| Return the molar Gibbs free energy divided by RT at reference pressure.
double | cp_R_ref () const override
| Return the molar heat capacity divided by R at reference pressure.
double | molarVolume_ref () const override
| Return the molar volume at reference pressure.
double | enthalpy_RT () const override
| Return the standard state molar enthalpy divided by RT.
double | entropy_R () const override
| Return the standard state entropy divided by RT.
double | gibbs_RT () const override
| Return the molar Gibbs free energy divided by RT.
double | cp_R () const override
| Return the molar const pressure heat capacity divided by RT.
double | molarVolume () const override
| Return the molar volume at standard state.
double | density () const override
| Return the standard state density at standard state.
Public Member Functions inherited from PDSS
virtual void | setTemperature (double temp)
| Set the internal temperature.
virtual double | temperature () const
| Return the current stored temperature.
virtual void | setState_TP (double temp, double pres)
| Set the internal temperature and pressure.
virtual void | setState_TR (double temp, double rho)
| Set the internal temperature and density.
virtual double | critTemperature () const
| critical temperature
virtual double | critPressure () const
| critical pressure
virtual double | critDensity () const
| critical density
virtual double | satPressure (double T)
| saturation pressure
double | molecularWeight () const
| Return the molecular weight of the species in units of kg kmol-1.
void | setMolecularWeight (double mw)
| Set the molecular weight of the species.
| PDSS ()=default
| Default Constructor.
| PDSS (const PDSS &b)=delete
PDSS & | operator= (const PDSS &b)=delete
virtual double | intEnergy_mole () const
| Return the molar internal Energy in units of J kmol-1.
virtual double | cv_mole () const
| Return the molar const volume heat capacity in units of J kmol-1 K-1.
virtual double | enthalpyDelp_mole () const
| Get the difference in the standard state enthalpy between the current pressure and the reference pressure, p0.
virtual double | entropyDelp_mole () const
| Get the difference in the standard state entropy between the current pressure and the reference pressure, p0.
virtual double | gibbsDelp_mole () const
| Get the difference in the standard state Gibbs free energy between the current pressure and the reference pressure, p0.
virtual double | cpDelp_mole () const
| Get the difference in standard state heat capacity between the current pressure and the reference pressure, p0.
double | refPressure () const
| Return the reference pressure for this phase.
double | minTemp () const
| return the minimum temperature
double | maxTemp () const
| return the minimum temperature
virtual double | pressure () const
| Returns the pressure (Pa)
virtual void | setPressure (double pres)
| Sets the pressure in the object.
virtual double | thermalExpansionCoeff () const
| Return the volumetric thermal expansion coefficient. Units: 1/K.
void | setReferenceThermo (shared_ptr< SpeciesThermoInterpType > stit)
| Set the SpeciesThermoInterpType object used to calculate reference state properties.
virtual void | setParent (VPStandardStateTP *phase, size_t k)
| Set the parent VPStandardStateTP object of this PDSS object.
virtual void | initThermo ()
| Initialization routine.
void | setParameters (const AnyMap &node)
| Set model parameters from an AnyMap phase description, for example from the `equation-of-state` field of a species definition.
virtual void | getParameters (AnyMap &eosNode) const
| Store the parameters needed to reconstruct a copy of this PDSS object.
virtual void | reportParams (size_t &kindex, int &type, double *const c, double &minTemp, double &maxTemp, double &refPressure) const
| This utility function reports back the type of parameterization and all of the parameters for the species, index.

## Protected Attributes
double | m_h0_RT
| Reference state enthalpy divided by RT.
double | m_cp0_R
| Reference state heat capacity divided by R.
double | m_s0_R
| Reference state entropy divided by R.
double | m_g0_RT
| Reference state Gibbs free energy divided by RT.
double | m_V0
| Reference state molar volume (m^3/kmol)
double | m_hss_RT
| Standard state enthalpy divided by RT.
double | m_cpss_R
| Standard state heat capacity divided by R.
double | m_sss_R
| Standard state entropy divided by R.
double | m_gss_RT
| Standard state Gibbs free energy divided by RT.
double | m_Vss
| Standard State molar volume (m^3/kmol)
Protected Attributes inherited from PDSS
double | m_temp = -1.0
| Current temperature used by the PDSS object.
double | m_pres = -1.0
| State of the system - pressure.
double | m_p0 = -1.0
| Reference state pressure of the species.
double | m_minTemp = -1.0
| Minimum temperature.
double | m_maxTemp = 10000.0
| Maximum temperature.
double | m_mw = 0.0
| Molecular Weight of the species.
AnyMap | m_input
| Input data supplied via setParameters.
shared_ptr< SpeciesThermoInterpType > | m_spthermo
| Pointer to the species thermodynamic property manager.

## Constructor & Destructor Documentation

## ◆ PDSS_Nondimensional()

PDSS_Nondimensional | ( |  | ) |

Definition at line 227 of file PDSS.cpp.

## Member Function Documentation

## ◆ enthalpy_mole()

double enthalpy_mole | ( |  | ) | const
| override virtual

Return the molar enthalpy in units of J kmol-1.

Returns
  the species standard state enthalpy in J kmol-1 at the current temperature and pressure.

Reimplemented from PDSS.

Definition at line 241 of file PDSS.cpp.

## ◆ entropy_mole()

double entropy_mole | ( |  | ) | const
| override virtual

Return the molar entropy in units of J kmol-1 K-1.

Returns
  The species standard state entropy in J kmol-1 K-1 at the current temperature and pressure.

Reimplemented from PDSS.

Definition at line 246 of file PDSS.cpp.

## ◆ gibbs_mole()

double gibbs_mole | ( |  | ) | const
| override virtual

Return the molar Gibbs free energy in units of J kmol-1.

Returns
  The species standard state Gibbs free energy in J kmol-1 at the current temperature and pressure.

Reimplemented from PDSS.

Definition at line 251 of file PDSS.cpp.

## ◆ cp_mole()

double cp_mole | ( |  | ) | const
| override virtual

Return the molar const pressure heat capacity in units of J kmol-1 K-1.

Returns
  The species standard state Cp in J kmol-1 K-1 at the current temperature and pressure.

Reimplemented from PDSS.

Definition at line 256 of file PDSS.cpp.

## ◆ enthalpy_RT_ref()

double enthalpy_RT_ref | ( |  | ) | const
| override virtual

Return the molar enthalpy divided by RT at reference pressure.

Returns
  The species reference state enthalpy at the current temperature, divided by RT.

Reimplemented from PDSS.

Definition at line 266 of file PDSS.cpp.

## ◆ entropy_R_ref()

double entropy_R_ref | ( |  | ) | const
| override virtual

Return the molar entropy divided by R at reference pressure.

Returns
  The species reference state entropy at the current temperature, divided by R.

Reimplemented from PDSS.

Definition at line 271 of file PDSS.cpp.

## ◆ gibbs_RT_ref()

double gibbs_RT_ref | ( |  | ) | const
| override virtual

Return the molar Gibbs free energy divided by RT at reference pressure.

Returns
  The reference state Gibbs free energy at the current temperature, divided by RT.

Reimplemented from PDSS.

Definition at line 261 of file PDSS.cpp.

## ◆ cp_R_ref()

double cp_R_ref | ( |  | ) | const
| override virtual

Return the molar heat capacity divided by R at reference pressure.

Returns
  The species reference state heat capacity divided by R at the current temperature.

Reimplemented from PDSS.

Definition at line 276 of file PDSS.cpp.

## ◆ molarVolume_ref()

double molarVolume_ref | ( |  | ) | const
| override virtual

Return the molar volume at reference pressure.

Returns
  The reference state molar volume. units are m**3 kmol-1.

Reimplemented from PDSS.

Definition at line 281 of file PDSS.cpp.

## ◆ enthalpy_RT()

double enthalpy_RT | ( |  | ) | const
| override virtual

Return the standard state molar enthalpy divided by RT.

Returns
  The dimensionless species standard state enthalpy divided at the current temperature and pressure.

Reimplemented from PDSS.

Definition at line 286 of file PDSS.cpp.

## ◆ entropy_R()

double entropy_R | ( |  | ) | const
| override virtual

Return the standard state entropy divided by RT.

Returns
  The species standard state entropy divided by RT at the current temperature and pressure.

Reimplemented from PDSS.

Definition at line 291 of file PDSS.cpp.

## ◆ gibbs_RT()

double gibbs_RT | ( |  | ) | const
| override virtual

Return the molar Gibbs free energy divided by RT.

Returns
  The species standard state Gibbs free energy divided by RT at the current temperature and pressure.

Reimplemented from PDSS.

Definition at line 296 of file PDSS.cpp.

## ◆ cp_R()

double cp_R | ( |  | ) | const
| override virtual

Return the molar const pressure heat capacity divided by RT.

Returns
  The species standard state Cp divided by RT at the current temperature and pressure.

Reimplemented from PDSS.

Definition at line 301 of file PDSS.cpp.

## ◆ molarVolume()

double molarVolume | ( |  | ) | const
| override virtual

Return the molar volume at standard state.

Returns
  The standard state molar volume at the current temperature and pressure. Units are m**3 kmol-1.

Reimplemented from PDSS.

Definition at line 306 of file PDSS.cpp.

## ◆ density()

double density | ( |  | ) | const
| override virtual

Return the standard state density at standard state.

Returns
  The standard state density at the current temperature and pressure. units are kg m-3

Reimplemented from PDSS.

Definition at line 311 of file PDSS.cpp.

## Member Data Documentation

## ◆ m_h0_RT

double m_h0_RT
| protected

Reference state enthalpy divided by RT.

Definition at line 509 of file PDSS.h.

## ◆ m_cp0_R

double m_cp0_R
| protected

Reference state heat capacity divided by R.

Definition at line 510 of file PDSS.h.

## ◆ m_s0_R

double m_s0_R
| protected

Reference state entropy divided by R.

Definition at line 511 of file PDSS.h.

## ◆ m_g0_RT

double m_g0_RT
| protected

Reference state Gibbs free energy divided by RT.

Definition at line 512 of file PDSS.h.

## ◆ m_V0

double m_V0
| protected

Reference state molar volume (m^3/kmol)

Definition at line 513 of file PDSS.h.

## ◆ m_hss_RT

double m_hss_RT
| protected

Standard state enthalpy divided by RT.

Definition at line 514 of file PDSS.h.

## ◆ m_cpss_R

double m_cpss_R
| protected

Standard state heat capacity divided by R.

Definition at line 515 of file PDSS.h.

## ◆ m_sss_R

double m_sss_R
| protected

Standard state entropy divided by R.

Definition at line 516 of file PDSS.h.

## ◆ m_gss_RT

double m_gss_RT
| protected

Standard state Gibbs free energy divided by RT.

Definition at line 517 of file PDSS.h.

## ◆ m_Vss

double m_Vss
| protected

Standard State molar volume (m^3/kmol)

Definition at line 518 of file PDSS.h.

The documentation for this class was generated from the following files:

- PDSS.h
- PDSS.cpp